RagTime5GraphInternal Namespace Reference

Internal: the structures of a RagTime5Graph. More...

## Classes

struct | ClustListParser
| Internal: the helper to read a clustList. More...
struct | IntListParser
| Internal: the helper to read an integer list. More...
struct | FloatParser
| Internal: the helper to read a int16 float. More...
struct | Shape
| Internal: the shape of a RagTime5Graph. More...
struct | ClusterButton
| the button cluster More...
struct | ClusterGraphic
| the shape cluster More...
struct | ClusterPicture
| the picture cluster More...
struct | State
| Internal: the state of a RagTime5Graph. More...
class | SubDocument
| Internal: the subdocument of a RagTime5Graph. More...
struct | ButtonCParser
| low level: parser of script cluster : zone 2,a,4002,400a More...
struct | PictCParser
| low level: parser of picture cluster More...
struct | GraphicCParser
| low level: parser of graph cluster More...

## Functions

std::ostream & | operator<< (std::ostream &o, Shape const &shape)

## Variables

constexpr int | MAX_RECORD_NESTING = 1 << 10
| the maximum recursion depth when sending nested groups

## Detailed Description

Internal: the structures of a RagTime5Graph.

## Function Documentation

## operator<<()

std::ostream & RagTime5GraphInternal::operator<< | ( | std::ostream & | o,
|  | Shape const & | shape )

## Variable Documentation

## MAX_RECORD_NESTING

int RagTime5GraphInternal::MAX_RECORD_NESTING = 1 << 10

constexpr

the maximum recursion depth when sending nested groups

Referenced by RagTime5Graph::send().